Subject: bug#10317: PING - bug#10317: patch to su: -l and -p should not be used together

From: Jim Meyering <[email-masked]>
Date: Fri, 04 May 2012 16:07:30 +0200

Rocky Bernstein wrote:
> On Fri, May 4, 2012 at 8:19 AM, Jim Meyering <[email-masked]> wrote:
...
>     Please don't interpret my review delays or my misreading your
>     patch as anything deliberately unfriendly.
>
> I didn't say deliberately unfriendly. I said there was an unfriendly environment
> . No doubt, it is unintentional. But for me, for this, it is there. More below.
>
>      I've been trying to keep
>     this list as open/accommodating as possible for nearly two decades.
>     I agree that the long delay is off-putting and apologized for that, twice.
>
> Understood and accepted. But really there is not much to show that this has
> moved forward in the 5 months. Well, okay, for 5 months of time, you have now at
> least tried the patch.
>
> So perhaps for the delays, you or someone reading could make the stylistic
> changes that would take, what, maybe a few minutes? I promise in the future with
> respect to coreutils I will follow coreutils conventions more carefully. But is
> this about me getting following coreutils conventions or is this about getting a
> "su" problem solved? Right now, if feels like the former, hence "unfriendly
> environment".
>
> Also if you had taken the few minutes to make the stylistic changes, you would
> have known that things would be properly and it would show that this you have
> some interest in seeing things improved. Deeds sometimes speak volumes more than
> apologies.

Um... You seem to have misread.
I did indeed make all of the stylistic adjustments I listed.
I even added a commit log for you and included the output of
"git format-patch" (the "change-set" I mentioned) including
your patch *with those stylistic changes*, so that you could
use that as a basis for any additional changes.

>     > I suggest, but leave up to you, whether
>     > to just document the behavior as it is leaving the code exactly as it is.
>     >
>     >     starting from the change-set below, which includes the following
>     changes:
>     >
>     >      - remove some space-before-TAB in tests/Makefile.am
>     >      - remove space-before-semicolon in su.c
>     >      - split two longer-than-80-col lines
>     >      - remove both \n and trailing "." from two new diagnostics
>     >      - adjust NEWS